summaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2015-11-06 11:33:49 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2015-11-06 11:33:49 +0000
commitbaab8c4746bececfa4d7a048ed723a97405dab79 (patch)
tree187a5e7a527f800750626673c870bf0342cd65f4 /testsuite
parentAdding debian version 1.2-2. (diff)
downloadclzip-baab8c4746bececfa4d7a048ed723a97405dab79.tar.xz
clzip-baab8c4746bececfa4d7a048ed723a97405dab79.zip
Merging upstream version 1.3.
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'testsuite')
-rwxr-xr-xtestsuite/check.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
index 50bec2e..9d07625 100755
--- a/testsuite/check.sh
+++ b/testsuite/check.sh
@@ -1,6 +1,6 @@
#! /bin/sh
# check script for Clzip - Data compressor based on the LZMA algorithm
-# Copyright (C) 2010, 2011 Antonio Diaz Diaz.
+# Copyright (C) 2010, 2011, 2012 Antonio Diaz Diaz.
#
# This script is free software: you have unlimited permission
# to copy, distribute and modify it.
@@ -19,12 +19,13 @@ fi
if [ -d tmp ] ; then rm -rf tmp ; fi
mkdir tmp
-printf "testing clzip-%s..." "$2"
cd "${objdir}"/tmp
cat "${testdir}"/test.txt > in || framework_failure
fail=0
+printf "testing clzip-%s..." "$2"
+
"${LZIP}" -t "${testdir}"/test_v0.lz || fail=1
printf .
"${LZIP}" -cd "${testdir}"/test_v0.lz > copy || fail=1
@@ -43,7 +44,7 @@ printf .
cmp in copy || fail=1
printf .
-"${LZIP}" -cf "${testdir}"/test_v1.lz > out 2>/dev/null
+"${LZIP}" -cfq "${testdir}"/test_v1.lz > out
if [ $? != 1 ] ; then fail=1 ; printf - ; else printf . ; fi
"${LZIP}" -cF "${testdir}"/test_v1.lz > out || fail=1
"${LZIP}" -cd out | "${LZIP}" -d > copy || fail=1
@@ -81,7 +82,7 @@ for i in s4Ki 0 1 2 3 4 5 6 7 8 9 ; do
printf .
done
-"${LZIP}" -$i < in > anyothername || fail=1
+"${LZIP}" < in > anyothername || fail=1
"${LZIP}" -d anyothername || fail=1
cmp in anyothername.out || fail=1
printf .